Debian Bug report logs - #625870
mimedefang: use Digest::SHA instead of Digest::SHA1 for dropping libdigest-sha1-perl dependency

version graph

Package: src:mimedefang; Maintainer for src:mimedefang is Christoph Martin <christoph.martin@uni-mainz.de>;

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Fri, 6 May 2011 13:45:15 UTC

Severity: important

Tags: patch

Found in version mimedefang/2.71-1

Fixed in version mimedefang/2.71-2

Done: Christoph Martin <christoph.martin@uni-mainz.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, carnil@debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Fri, 06 May 2011 13:45:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
New Bug report received and forwarded. Copy sent to carnil@debian.org, Christoph Martin <christoph.martin@uni-mainz.de>. (Fri, 06 May 2011 13:45:18 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: mimedefang: use Digest::SHA instead of Digest::SHA1 for dropping libdigest-sha1-perl dependency
Date: Fri, 06 May 2011 15:30:47 +0200
Source: mimedefang
Version: 2.71-1
Severity: normal
User: debian-perl@lists.debian.org
Usertags: digest-sha-perl-transition

Hi

We from the Debian Perl Group would like to drop libdigest-sha1-perl
at some point, see [1]. Most of the functionality (except
sha1_transform) of Digest::SHA1 is also provided by Digest::SHA.
Switching from Digest::SHA1 to Digest::SHA should be in principle as
easy as substituting the use of Digest::SHA1 with Digest::SHA.

Digest::SHA is in Perl core since version 5.9.3 and thus is in
Debian's perl since Lenny.

Changing use of Digest::SHA1 to Digest::SHA would thus reduce external
dependencies by one.

 [1] http://deb.li/digestsha

Digest::SHA1 is used in mimedefang, and should be easy to substitute.
Could you change use of Digest::SHA1 and use the Digest::SHA in
gen-ip-validator and mimedefang?

Bests,
Salvatore

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Mon, 25 Jul 2011 14:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Mon, 25 Jul 2011 14:15:07 GMT) Full text and rfc822 format available.

Message #10 received at 625870@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625870@bugs.debian.org
Subject: mimedefang: diff for NMU version 2.71-1.1
Date: Mon, 25 Jul 2011 16:14:21 +0200
[Message part 1 (text/plain, inline)]
tags 625870 + patch
thanks

Hi Christoph

This is not a real NMU. I prepared a patch for this, but had not 
tested. It changes the use of Digest::SHA1 with Digest::SHA and 
removes the libdigest-sha1-perl (Build-)Depends(-Indep).

Regards
Salvatore
[mimedefang-2.71-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Mon, 25 Jul 2011 14:15:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Tue, 16 Aug 2011 18:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Tue, 16 Aug 2011 18:54:08 GMT) Full text and rfc822 format available.

Message #17 received at 625870@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: control@bugs.debian.org
Cc: 625903@bugs.debian.org,625875@bugs.debian.org,625904@bugs.debian.org,636853@bugs.debian.org,636642@bugs.debian.org,636852@bugs.debian.org,636856@bugs.debian.org,630601@bugs.debian.org,636857@bugs.debian.org,625870@bugs.debian.org,624065@bugs.debian.org,629612@bugs.debian.org,debian-perl@lists.debian.org
Subject: Increase severity: libdigest-sha1-perl going to disappear
Date: Tue, 16 Aug 2011 20:51:15 +0200
# raising severity for remaining bugs to important
# libdigest-sha1-perl is going to disappear
# see: http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA
severity 625903 important
severity 625875 important
severity 625904 important
severity 636853 important
severity 636642 important
severity 636852 important
severity 636856 important
severity 630601 important
severity 636857 important
severity 625870 important
severity 624065 important
severity 629612 important
thanks

Hi!

We from the Debian Perl Group whant to remove libdigest-sha1-perl soon. See [1]
for details. We thus would like to increase the severity to the remaining
bugreports to important.

 [1] http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/DigestSHA1ToDigestSHA

Regards
Salvatore, Debian Perl Group




Severity set to 'important' from 'normal' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 18:54:36 GMT) Full text and rfc822 format available.

Added indication that bug 625870 blocks 594273 Request was from Ansgar Burchardt <ansgar@debian.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 08:16:37 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Thu, 18 Aug 2011 21:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Hartman <hartmans@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Thu, 18 Aug 2011 21:33:18 GMT) Full text and rfc822 format available.

Message #26 received at 625870@bugs.debian.org (full text, mbox):

From: Sam Hartman <hartmans@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 625903@bugs.debian.org, control@bugs.debian.org, 625875@bugs.debian.org, 625904@bugs.debian.org, 636853@bugs.debian.org, 636642@bugs.debian.org, 636852@bugs.debian.org, 636856@bugs.debian.org, 630601@bugs.debian.org, 636857@bugs.debian.org, 625870@bugs.debian.org, 624065@bugs.debian.org, 629612@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: Bug#625903: Increase severity: libdigest-sha1-perl going to disappear
Date: Thu, 18 Aug 2011 17:30:38 -0400
Hi.
I'm planning on getting to this issue Sunday.
If someone wants to NMU before then they are welcome.




Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Sat, 27 Aug 2011 13:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Sat, 27 Aug 2011 13:51:06 GMT) Full text and rfc822 format available.

Message #31 received at 625870@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: 625870@bugs.debian.org
Subject: mimedefang: diff for NMU version 2.71-1.1
Date: Sat, 27 Aug 2011 15:41:48 +0200
[Message part 1 (text/plain, inline)]
tags 625870 + pending
thanks

Dear maintainer,

I've prepared an NMU for mimedefang (versioned as 2.71-1.1) and
uploaded it to DELAYED/10. Please feel free to tell me if I
should delay it longer.

Regards.
Salvatore
[mimedefang-2.71-1.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 27 Aug 2011 13:51:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Mon, 29 Aug 2011 08:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christoph Martin <martin@uni-mainz.de>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Mon, 29 Aug 2011 08:27:03 GMT) Full text and rfc822 format available.

Message #38 received at 625870@bugs.debian.org (full text, mbox):

From: Christoph Martin <martin@uni-mainz.de>
To: Salvatore Bonaccorso <carnil@debian.org>, <625870@bugs.debian.org>
Subject: Re: Bug#625870: mimedefang: diff for NMU version 2.71-1.1
Date: Mon, 29 Aug 2011 10:13:15 +0200
[Message part 1 (text/plain, inline)]
Hi Salvatore,

Am 27.08.2011 15:41, schrieb Salvatore Bonaccorso:
> Dear maintainer,
> 
> I've prepared an NMU for mimedefang (versioned as 2.71-1.1) and
> uploaded it to DELAYED/10. Please feel free to tell me if I
> should delay it longer.
> 

thanks for your effort and your patch. I am preparing an upload at the
moment.

Christoph

-- 
============================================================================
Christoph Martin, Zentrum für Datenverarbeitung, Uni-Mainz, Germany
 Instant-Messaging: Jabber: martin@uni-mainz.de
  (Siehe http://www.zdv.uni-mainz.de/4010.php)
[martin.vcf (text/x-vcard, attachment)]
[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#625870; Package src:mimedefang. (Mon, 29 Aug 2011 08:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. (Mon, 29 Aug 2011 08:54:03 GMT) Full text and rfc822 format available.

Message #43 received at 625870@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Christoph Martin <martin@uni-mainz.de>
Cc: Salvatore Bonaccorso <carnil@debian.org>, 625870@bugs.debian.org
Subject: Re: Bug#625870: mimedefang: diff for NMU version 2.71-1.1
Date: Mon, 29 Aug 2011 10:51:22 +0200
[Message part 1 (text/plain, inline)]
Hi Christoph

On Mon, Aug 29, 2011 at 10:13:15AM +0200, Christoph Martin wrote:
> Hi Salvatore,
> 
> Am 27.08.2011 15:41, schrieb Salvatore Bonaccorso:
> > Dear maintainer,
> > 
> > I've prepared an NMU for mimedefang (versioned as 2.71-1.1) and
> > uploaded it to DELAYED/10. Please feel free to tell me if I
> > should delay it longer.
> > 
> 
> thanks for your effort and your patch. I am preparing an upload at the
> moment.

Okay! Thank you for the follow-up. I will then cancel the upload from
the delayed, queue, ok?

Regards
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Christoph Martin <christoph.martin@uni-mainz.de>:
You have taken responsibility. (Mon, 29 Aug 2011 09:36:26 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Mon, 29 Aug 2011 09:36:29 GMT) Full text and rfc822 format available.

Message #48 received at 625870-close@bugs.debian.org (full text, mbox):

From: Christoph Martin <christoph.martin@uni-mainz.de>
To: 625870-close@bugs.debian.org
Subject: Bug#625870: fixed in mimedefang 2.71-2
Date: Mon, 29 Aug 2011 09:32:39 +0000
Source: mimedefang
Source-Version: 2.71-2

We believe that the bug you reported is fixed in the latest version of
mimedefang, which is due to be installed in the Debian FTP archive:

graphdefang_2.71-2_amd64.deb
  to main/m/mimedefang/graphdefang_2.71-2_amd64.deb
mimedefang_2.71-2.diff.gz
  to main/m/mimedefang/mimedefang_2.71-2.diff.gz
mimedefang_2.71-2.dsc
  to main/m/mimedefang/mimedefang_2.71-2.dsc
mimedefang_2.71-2_amd64.deb
  to main/m/mimedefang/mimedefang_2.71-2_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 625870@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christoph Martin <christoph.martin@uni-mainz.de> (supplier of updated mimedefang package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 29 Aug 2011 10:10:17 +0200
Source: mimedefang
Binary: mimedefang graphdefang
Architecture: source amd64
Version: 2.71-2
Distribution: unstable
Urgency: low
Maintainer: Christoph Martin <christoph.martin@uni-mainz.de>
Changed-By: Christoph Martin <christoph.martin@uni-mainz.de>
Description: 
 graphdefang - grapher for MIMEDefang spam and virus logs
 mimedefang - e-mail filter program for sendmail
Closes: 623091 625870
Changes: 
 mimedefang (2.71-2) unstable; urgency=low
 .
   [ Salvatore Bonaccorso ]
   * Use Digest::SHA instead of Digest::SHA1. Remove libdigest-sha1-perl from
     (Build-)Depends (Closes: #625870).
 .
   [ Christoph Martin ]
   * include Danish debconf translation (Closes: #623091)
Checksums-Sha1: 
 9a246ab9a7e52fe0a15bba1c2c97b8d98d2b9a41 1186 mimedefang_2.71-2.dsc
 8aac1599d58ca2a5656ef80fe0ba110e7cfb3267 34664 mimedefang_2.71-2.diff.gz
 b4888de9a0cc67cfbf4184438702846aea95e7c2 257616 mimedefang_2.71-2_amd64.deb
 5905fd7399fe7c4cb3e4a5da4b1b74a2ad345525 84948 graphdefang_2.71-2_amd64.deb
Checksums-Sha256: 
 383dc31aa1c825d31c095ebc4850f516215a58d6932b1f7e5a3e3d337bacaca5 1186 mimedefang_2.71-2.dsc
 5296b098e94a5a87c3c8853fbb3daa74525981f0c6a3f03f55f55a652f896735 34664 mimedefang_2.71-2.diff.gz
 16c0532568811d1840e9ba33aa0eb3f58ddf00e2331374f64195037fe52c5a86 257616 mimedefang_2.71-2_amd64.deb
 67450b782d860addc743f97e6e2521b9266c9940d4ea8882c03e38b67e5b32bb 84948 graphdefang_2.71-2_amd64.deb
Files: 
 4022e34f19b6300f2a63cebc4e01ce7c 1186 mail extra mimedefang_2.71-2.dsc
 796afcc8a09940cbdbd9230bfa18cf9a 34664 mail extra mimedefang_2.71-2.diff.gz
 5b351fc596a2e38838346abf268290bb 257616 mail extra mimedefang_2.71-2_amd64.deb
 eac33b415283f51de07164998d7d690c 84948 mail extra graphdefang_2.71-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAk5bWbcACgkQgeVih7XOVJc05gCfY0rqv6x8kCLxWSXpC6QDg5Zf
YhkAoJX4sRkY0L6ucgAMZ+dNsykA2BdI
=bihT
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Oct 2011 07:37:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:42:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.